From 4a4b7942febf397781153a965e566aa3b5d34f85 Mon Sep 17 00:00:00 2001
From: Paul Fenwick <pjf@perltraining.com.au>
Date: Tue, 25 Nov 2008 16:40:24 +1100
Subject: [PATCH] Simple tests to ensure that get_stdmodules() works.

---
 t/corelist.t |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)
 create mode 100755 t/corelist.t

diff --git a/t/corelist.t b/t/corelist.t
new file mode 100755
index 0000000..5bd6bf7
--- /dev/null
+++ b/t/corelist.t
@@ -0,0 +1,21 @@
+#!/usr/bin/perl -w
+
+use strict;
+use warnings;
+
+use Test::More 'no_plan';
+
+use FindBin qw($Bin);
+
+require "$Bin/../dh-make-perl";        # Load our code for testing.
+
+my @std_modules = get_stdmodules();
+
+# Check to see if our module list contains some obvious candidates.
+
+my %modules_index;
+@modules_index{@std_modules} = ();
+
+foreach my $module ( qw(Fatal File::Copy FindBin CGI IO::Handle Safe) ) {
+    ok(exists $modules_index{$module}, "$module should be a core module");
+}
-- 
1.5.5.GIT

